"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = meta;

var _slicedToArray2 = _interopRequireDefault(require("@babel/runtime/helpers/slicedToArray"));

var _chalk = _interopRequireDefault(require("chalk"));

/**
 * Get formatted meta hints for configuration
 * @param  {object} settings dictionary to parse
 * @return {string}          formatted meta information
 */
function meta(settings) {
  return _chalk.default.grey(Object.entries(settings || {}).filter(item => item[1]).map(item => {
    const _item = (0, _slicedToArray2.default)(item, 2),
          name = _item[0],
          value = _item[1];

    return typeof value === 'boolean' ? `[${name}]` : `[${name}=${value}]`;
  }).join(' '));
}
//# sourceMappingURL=meta.js.map